package hsbs_gui;

public class PingTimer {
  private long start;
  private long end;

  public PingTimer() {
    reset();
  }

  public void start() {
    start = System.nanoTime();
  }

  public void end() {
    end = System.nanoTime();
  }

  public long duration(){
    return (end-start);
  }

  public void reset() {
    start = 0;  
    end   = 0;
  }
}